var toolbox = "";
toolbox += '  <xml id="toolbox" style="display: none">';
toolbox += '    <category name="Lógica" colour="%{BKY_LOGIC_HUE}">';
toolbox += '      <block type="controls_if"></block>';
toolbox += '      <block type="logic_compare"></block>';
toolbox += '      <block type="logic_operation"></block>';
toolbox += '      <block type="logic_negate"></block>';
toolbox += '      <block type="logic_boolean"></block>';
toolbox += '      <block type="logic_null"></block>';
toolbox += '      <block type="logic_ternary"></block>';
toolbox += '    </category>';
toolbox += '    <category name="Secuencias" colour="%{BKY_LOOPS_HUE}">';
toolbox += '      <block type="controls_repeat_ext">';
toolbox += '        <value name="TIMES">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">10</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="controls_whileUntil"></block>';
toolbox += '      <block type="controls_for">';
toolbox += '        <value name="FROM">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">1</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="TO">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">1</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="controls_forEach"></block>';
toolbox += '      <block type="controls_flow_statements"></block>';
toolbox += '    </category>';
toolbox += '    <category name="Matemática" colour="%{BKY_MATH_HUE}">';
toolbox += '      <block type="math_number"></block>';
toolbox += '      <block type="math_arithmetic">';
toolbox += '        <value name="A">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">1</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="B">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">1</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="math_single">';
toolbox += '        <value name="NUM">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">9</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="math_trig">';
toolbox += '        <value name="NUM">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">45</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="math_constant"></block>';
toolbox += '      <block type="math_number_property">';
toolbox += '        <value name="NUMBER_TO_CHECK">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">0</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="math_round">';
toolbox += '        <value name="NUM">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">3.1</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="math_on_list"></block>';
toolbox += '      <block type="math_modulo">';
toolbox += '        <value name="DIVIDEND">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">64</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="DIVISOR">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">10</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="math_constrain">';
toolbox += '        <value name="VALUE">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">50</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="LOW">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">1</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="HIGH">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">100</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="math_random_int">';
toolbox += '        <value name="FROM">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">1</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="TO">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">100</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="math_random_float"></block>';
toolbox += '    </category>';
toolbox += '    <category name="Texto" colour="%{BKY_TEXTS_HUE}">';
toolbox += '      <block type="text"></block>';
toolbox += '      <block type="text_join"></block>';
toolbox += '      <block type="text_append">';
toolbox += '        <value name="TEXT">';
toolbox += '          <shadow type="text"></shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="text_length">';
toolbox += '        <value name="VALUE">';
toolbox += '          <shadow type="text">';
toolbox += '            <field name="TEXT">abc</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="text_isEmpty">';
toolbox += '        <value name="VALUE">';
toolbox += '          <shadow type="text">';
toolbox += '            <field name="TEXT"></field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="text_indexOf">';
toolbox += '        <value name="VALUE">';
toolbox += '          <block type="variables_get">';
toolbox += '            <field name="VAR">{textVariable}</field>';
toolbox += '          </block>';
toolbox += '        </value>';
toolbox += '        <value name="FIND">';
toolbox += '          <shadow type="text">';
toolbox += '            <field name="TEXT">abc</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="text_charAt">';
toolbox += '        <value name="VALUE">';
toolbox += '          <block type="variables_get">';
toolbox += '            <field name="VAR">{textVariable}</field>';
toolbox += '          </block>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="text_getSubstring">';
toolbox += '        <value name="STRING">';
toolbox += '          <block type="variables_get">';
toolbox += '            <field name="VAR">{textVariable}</field>';
toolbox += '          </block>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="text_changeCase">';
toolbox += '        <value name="TEXT">';
toolbox += '          <shadow type="text">';
toolbox += '            <field name="TEXT">abc</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="text_trim">';
toolbox += '        <value name="TEXT">';
toolbox += '          <shadow type="text">';
toolbox += '            <field name="TEXT">abc</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="text_print">';
toolbox += '        <value name="TEXT">';
toolbox += '          <shadow type="text">';
toolbox += '            <field name="TEXT">abc</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="text_prompt_ext">';
toolbox += '        <value name="TEXT">';
toolbox += '          <shadow type="text">';
toolbox += '            <field name="TEXT">abc</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '    </category>';
toolbox += '    <category name="Listas" colour="%{BKY_LISTS_HUE}">';
toolbox += '      <block type="lists_create_with">';
toolbox += '        <mutation items="0"></mutation>';
toolbox += '      </block>';
toolbox += '      <block type="lists_create_with"></block>';
toolbox += '      <block type="lists_repeat">';
toolbox += '        <value name="NUM">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">5</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="lists_length"></block>';
toolbox += '      <block type="lists_isEmpty"></block>';
toolbox += '      <block type="lists_indexOf">';
toolbox += '        <value name="VALUE">';
toolbox += '          <block type="variables_get">';
toolbox += '            <field name="VAR">{listVariable}</field>';
toolbox += '          </block>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="lists_getIndex">';
toolbox += '        <value name="VALUE">';
toolbox += '          <block type="variables_get">';
toolbox += '            <field name="VAR">{listVariable}</field>';
toolbox += '          </block>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="lists_setIndex">';
toolbox += '        <value name="LIST">';
toolbox += '          <block type="variables_get">';
toolbox += '            <field name="VAR">{listVariable}</field>';
toolbox += '          </block>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="lists_getSublist">';
toolbox += '        <value name="LIST">';
toolbox += '          <block type="variables_get">';
toolbox += '            <field name="VAR">{listVariable}</field>';
toolbox += '          </block>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="lists_split">';
toolbox += '        <value name="DELIM">';
toolbox += '          <shadow type="text">';
toolbox += '            <field name="TEXT">,</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="lists_sort"></block>';
toolbox += '    </category>';
toolbox += '    <sep></sep>';
toolbox += '    <category name="Variables" colour="%{BKY_VARIABLES_HUE}" custom="VARIABLE"></category>';
toolbox += '	<category name="Funciones" colour="%{BKY_PROCEDURES_HUE}" custom="PROCEDURE"></category>';
toolbox += '  <category name="Mis Funciones" colour="%{BKY_PROCEDURES_HUE}">';
toolbox += '		<block type="function_map"></block>';
toolbox += '		<block type="function_map_return">';
toolbox += '			<value name="x">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">1</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '			<value name="x1">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">0</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '			<value name="y1">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">0</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '			<value name="x2">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">1023</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '			<value name="y2">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">100</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '		</block>';
toolbox += '  </category>';
toolbox += '	<sep></sep>';
toolbox += '	<category id="myPines" name="Pines" colour="210">';
toolbox += '		<block type="gpio_mode">';
toolbox += '			<value name="pin">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">1</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '		</block>';
toolbox += '		<block type="gpio_write">';
toolbox += '			<value name="pin">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">1</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '		</block>';
toolbox += '		<block type="gpio_write_variable">';
toolbox += '			<value name="pin">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">1</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '		</block>';
toolbox += '		<block type="gpio_read">';
toolbox += '			<value name="pin">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">1</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '		</block>';
toolbox += '		<block type="gpio_read_variable">';
toolbox += '			<value name="pin">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">1</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '		</block>';
toolbox += '		<block type="gpio_trig">';
toolbox += '			<value name="pin">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">1</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '		</block>';
toolbox += '		<block type="gpio_trig_var"></block>';
toolbox += '		<block type="gpio_trig_level"></block>';
toolbox += '		<block type="gpio_trig_when"></block>';
toolbox += '		<block type="gpio_trig_compare"></block>';
toolbox += '		<block type="adc_read"></block>';
toolbox += '	</category>';
toolbox += '	<category id="myTmrs" name="Temporizadores" colour="65">';
toolbox += '		<block type="tmr_var">';
toolbox += '			<value name="time">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">1</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '		</block>';
toolbox += '		<block type="tmr_s">';
toolbox += '			<value name="seconds">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">1</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '		</block>';
toolbox += '		<block type="tmr_ms">';
toolbox += '			<value name="miliseconds">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">1</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '		</block>';
toolbox += '		<block type="tmr_us">';
toolbox += '			<value name="microseconds">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">1</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '		</block>';
toolbox += '		<block type="alarm_create">';
toolbox += '			<value name="interval">';
toolbox += '				<shadow type="math_number">';
toolbox += '					<field name="NUM">1000</field>';
toolbox += '				</shadow>';
toolbox += '			</value>';
toolbox += '		</block>';
toolbox += '		<block type="alarm_start"></block>';
toolbox += '		<block type="alarm_stop"></block>';
toolbox += '	</category>';
toolbox += '	<sep></sep>';
toolbox += '  <category id="peripherals" name="Periféricos" colour="180">';
toolbox += '    <category name="PWM" colour="180">';
toolbox += '      <block type="pwm_setup">';
toolbox += '        <value name="pin">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">4</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="frec">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">10</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="duty">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">512</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="pwm_start">';
toolbox += '        <value name="pin">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">4</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="pwm_stop">';
toolbox += '        <value name="pin">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">4</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="pwm_change_duty">';
toolbox += '        <value name="pin">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">4</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="duty">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">512</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="pwm_change_frecuency">';
toolbox += '        <value name="pin">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">4</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="frec">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">10</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '    </category>';
toolbox += '	</category>';
toolbox += '	<sep></sep>';
toolbox += '	<category id="sensors" name="Sensores" colour="150">';
toolbox += '    <category id="DHT" name="DHT" colour="105">';
toolbox += '      <block type="dht_read">';
toolbox += '        <value name="pin">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">0</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="dht_view"></block>';
toolbox += '    </category>';
toolbox += '    <category id="DS18B20" name="DS18B20" colour="105">';
toolbox += '      <block type="ds18b20_lib"></block>';
toolbox += '      <block type="ds18b20_read">';
toolbox += '        <value name="Pin">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">3</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '    </category>';
toolbox += '    <category id="hcst04" name="Ultrasonido" colour="105">';
toolbox += '      <block type="hcsr04"></block>';
toolbox += '      <block type="hcsr04_declare">';
toolbox += '        <value name="trig">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">1</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="echo">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">2</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="max_distance">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">5</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="avg_readings">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">3</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="hcsr04_read"></block>';
toolbox += '      <block type="hcsr04_distance"></block>';
toolbox += '    </category>';
toolbox += '	</category>';
toolbox += '	<sep></sep>';
toolbox += '  <category id="actuadores" name="Actuadores" colour="300">';
toolbox += '    <category id="myServo" name="Servomotor" colour="345">';
toolbox += '      <block type="servo_init">';
toolbox += '        <value name="pin">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">1</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="angle">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">0</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="servo_angle">';
toolbox += '        <value name="pin">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">1</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="angle">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">0</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="servo_stop">';
toolbox += '        <value name="pin">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">1</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '    </category>';
toolbox += '    <category id="ws2812" name="Ws2812" colour="345">';
toolbox += '      <block type="ws2812_init"></block>';
toolbox += '      <block type="ws2812_format"></block>';
toolbox += '      <block type="ws2812_array_finish">';
toolbox += '        <value name="R">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">255</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="G">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">255</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="B">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">255</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="ws2812_array">';
toolbox += '        <value name="R">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">255</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="G">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">255</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="B">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">255</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="ws2812_write"></block>';
toolbox += '      <block type="ws2812_write_dual"></block>';
toolbox += '    </category>';
toolbox += '    <category id="displayOled" name="Display" colour="345">';
toolbox += '      <block type="display_oled_init">';
toolbox += '        <value name="id">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">0</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="sda">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">1</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="scl">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">2</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="sla">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">60</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="display_oled_buffer"></block>';
toolbox += '      <block type="display_oled_angle_text"></block>';
toolbox += '      <block type="display_oled_str">';
toolbox += '        <value name="text">';
toolbox += '          <shadow type="text">';
toolbox += '            <field name="TEXT">Hola</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="x0">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">0</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="y0">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">0</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="display_oled_circ_disc">';
toolbox += '        <value name="x0">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">10</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="y0">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">10</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="radio">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">9</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="display_oled_frame_box">';
toolbox += '        <value name="x0">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">0</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="y0">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">0</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="width">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">20</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="height">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">20</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="display_oled_line">';
toolbox += '        <value name="x0">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">0</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="y0">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">0</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="x1">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">30</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '        <value name="y1">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">30</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '    </category>';
toolbox += '	</category>';
toolbox += '	<sep></sep>';
toolbox += '	<!-- <category id="mixtos" name="Mixtos" colour="180"> -->';
toolbox += '	<!-- </category> -->';
toolbox += '	<category id="music" name="Música" colour="180">';
toolbox += '		<block type="midi"></block>';
toolbox += '	</category>';
toolbox += '	<sep></sep>';
toolbox += '	<category id="iot" name="IOT" colour="255">';
toolbox += '    <category id="html" name="HTML" colour="255">';
toolbox += '      <block type="html_page"></block>';
toolbox += '      <block type="html_button_view"></block>';
toolbox += '      <block type="html_button_logic"></block>';
toolbox += '      <block type="html_text"></block>';
toolbox += '      <block type="html_text_add_variable"></block>';
toolbox += '      <block type="html_text_size">';
toolbox += '        <value name="size">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">1</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '    </category>';
toolbox += '    <category id="thingspeak" name="Thingspeak" colour="255">';
toolbox += '      <block type="thingspeak"></block>';
toolbox += '      <block type="thingspeak_send"></block>';
toolbox += '      <block type="thingspeak_field"></block>';
toolbox += '    </category>';
toolbox += '    <category id="Sockets" name="Sockets" colour="255">';
toolbox += '      <block type="init_tcp">';
toolbox += '        <value name="timeout">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">30</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="tcp_listen">';
toolbox += '        <value name="var_port">';
toolbox += '          <shadow type="math_number">';
toolbox += '            <field name="NUM">3000</field>';
toolbox += '          </shadow>';
toolbox += '        </value>';
toolbox += '      </block>';
toolbox += '      <block type="tcp_events"></block>';
toolbox += '      <block type="tcp_data"></block>';
toolbox += '      <block type="tcp_send"></block>';
toolbox += '    </category>';
toolbox += '	</category>';
toolbox += '	<sep></sep>';
toolbox += '	<category id="wifi" name="WIFI" colour="255">';
toolbox += '	  <block type="wifi_sta">';
toolbox += '	    <value name="redName">';
toolbox += '	      <shadow type="text">';
toolbox += '		<field name="TEXT">miRed</field>';
toolbox += '	      </shadow>';
toolbox += '	    </value>';
toolbox += '	    <value name="password">';
toolbox += '	      <shadow type="text">';
toolbox += '		<field name="TEXT">contraseña</field>';
toolbox += '	      </shadow>';
toolbox += '	    </value>';
toolbox += '	  </block>';
toolbox += '	  <block type="wifi_ap">';
toolbox += '	    <value name="redName">';
toolbox += '	      <shadow type="text">';
toolbox += '		<field name="TEXT">miRed</field>';
toolbox += '	      </shadow>';
toolbox += '	    </value>';
toolbox += '	    <value name="password">';
toolbox += '	      <shadow type="text">';
toolbox += '		<field name="TEXT">contraseña</field>';
toolbox += '	      </shadow>';
toolbox += '	  </value>';
toolbox += '	  <value name="channel">';
toolbox += '		  <shadow type="math_number">';
toolbox += '			  <field name="NUM">11</field>';
toolbox += '		  </shadow>';
toolbox += '	  </value>';
toolbox += '	  </block>';
toolbox += '	  <block type="wifi_ap_sta">';
toolbox += '	    <value name="redNameAP">';
toolbox += '	      <shadow type="text">';
toolbox += '		<field name="TEXT">miRed</field>';
toolbox += '	      </shadow>';
toolbox += '	    </value>';
toolbox += '	    <value name="passwordAP">';
toolbox += '	      <shadow type="text">';
toolbox += '		<field name="TEXT">contraseña</field>';
toolbox += '	      </shadow>';
toolbox += '	  </value>';
toolbox += '	  <value name="channel">';
toolbox += '		  <shadow type="math_number">';
toolbox += '			  <field name="NUM">11</field>';
toolbox += '		  </shadow>';
toolbox += '	  </value>';
toolbox += '	    <value name="redNameSTA">';
toolbox += '	      <shadow type="text">';
toolbox += '		<field name="TEXT">miRed</field>';
toolbox += '	      </shadow>';
toolbox += '	    </value>';
toolbox += '	    <value name="passwordSTA">';
toolbox += '	      <shadow type="text">';
toolbox += '		<field name="TEXT">contraseña</field>';
toolbox += '	      </shadow>';
toolbox += '	    </value>';
toolbox += '	  </block>';
toolbox += '	</category>';
toolbox += '  </xml>';
var toolboxAlt = "";
toolboxAlt += '  <xml id="toolbox" style="display: none">';
toolboxAlt += '    <category name="Lóg" colour="%{BKY_LOGIC_HUE}">';
toolboxAlt += '      <block type="controls_if"></block>';
toolboxAlt += '      <block type="logic_compare"></block>';
toolboxAlt += '      <block type="logic_operation"></block>';
toolboxAlt += '      <block type="logic_negate"></block>';
toolboxAlt += '      <block type="logic_boolean"></block>';
toolboxAlt += '      <block type="logic_null"></block>';
toolboxAlt += '      <block type="logic_ternary"></block>';
toolboxAlt += '    </category>';
toolboxAlt += '    <category name="Sec" colour="%{BKY_LOOPS_HUE}">';
toolboxAlt += '      <block type="controls_repeat_ext">';
toolboxAlt += '        <value name="TIMES">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">10</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="controls_whileUntil"></block>';
toolboxAlt += '      <block type="controls_for">';
toolboxAlt += '        <value name="FROM">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">1</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="TO">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">1</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="controls_forEach"></block>';
toolboxAlt += '      <block type="controls_flow_statements"></block>';
toolboxAlt += '    </category>';
toolboxAlt += '    <category name="Mat" colour="%{BKY_MATH_HUE}">';
toolboxAlt += '      <block type="math_number"></block>';
toolboxAlt += '      <block type="math_arithmetic">';
toolboxAlt += '        <value name="A">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">1</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="B">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">1</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="math_single">';
toolboxAlt += '        <value name="NUM">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">9</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="math_trig">';
toolboxAlt += '        <value name="NUM">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">45</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="math_constant"></block>';
toolboxAlt += '      <block type="math_number_property">';
toolboxAlt += '        <value name="NUMBER_TO_CHECK">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">0</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="math_round">';
toolboxAlt += '        <value name="NUM">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">3.1</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="math_on_list"></block>';
toolboxAlt += '      <block type="math_modulo">';
toolboxAlt += '        <value name="DIVIDEND">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">64</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="DIVISOR">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">10</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="math_constrain">';
toolboxAlt += '        <value name="VALUE">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">50</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="LOW">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">1</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="HIGH">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">100</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="math_random_int">';
toolboxAlt += '        <value name="FROM">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">1</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="TO">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">100</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="math_random_float"></block>';
toolboxAlt += '    </category>';
toolboxAlt += '    <category name="Tex" colour="%{BKY_TEXTS_HUE}">';
toolboxAlt += '      <block type="text"></block>';
toolboxAlt += '      <block type="text_join"></block>';
toolboxAlt += '      <block type="text_append">';
toolboxAlt += '        <value name="TEXT">';
toolboxAlt += '          <shadow type="text"></shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="text_length">';
toolboxAlt += '        <value name="VALUE">';
toolboxAlt += '          <shadow type="text">';
toolboxAlt += '            <field name="TEXT">abc</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="text_isEmpty">';
toolboxAlt += '        <value name="VALUE">';
toolboxAlt += '          <shadow type="text">';
toolboxAlt += '            <field name="TEXT"></field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="text_indexOf">';
toolboxAlt += '        <value name="VALUE">';
toolboxAlt += '          <block type="variables_get">';
toolboxAlt += '            <field name="VAR">{textVariable}</field>';
toolboxAlt += '          </block>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="FIND">';
toolboxAlt += '          <shadow type="text">';
toolboxAlt += '            <field name="TEXT">abc</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="text_charAt">';
toolboxAlt += '        <value name="VALUE">';
toolboxAlt += '          <block type="variables_get">';
toolboxAlt += '            <field name="VAR">{textVariable}</field>';
toolboxAlt += '          </block>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="text_getSubstring">';
toolboxAlt += '        <value name="STRING">';
toolboxAlt += '          <block type="variables_get">';
toolboxAlt += '            <field name="VAR">{textVariable}</field>';
toolboxAlt += '          </block>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="text_changeCase">';
toolboxAlt += '        <value name="TEXT">';
toolboxAlt += '          <shadow type="text">';
toolboxAlt += '            <field name="TEXT">abc</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="text_trim">';
toolboxAlt += '        <value name="TEXT">';
toolboxAlt += '          <shadow type="text">';
toolboxAlt += '            <field name="TEXT">abc</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="text_print">';
toolboxAlt += '        <value name="TEXT">';
toolboxAlt += '          <shadow type="text">';
toolboxAlt += '            <field name="TEXT">abc</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="text_prompt_ext">';
toolboxAlt += '        <value name="TEXT">';
toolboxAlt += '          <shadow type="text">';
toolboxAlt += '            <field name="TEXT">abc</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '    </category>';
toolboxAlt += '    <category name="Lis" colour="%{BKY_LISTS_HUE}">';
toolboxAlt += '      <block type="lists_create_with">';
toolboxAlt += '        <mutation items="0"></mutation>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="lists_create_with"></block>';
toolboxAlt += '      <block type="lists_repeat">';
toolboxAlt += '        <value name="NUM">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">5</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="lists_length"></block>';
toolboxAlt += '      <block type="lists_isEmpty"></block>';
toolboxAlt += '      <block type="lists_indexOf">';
toolboxAlt += '        <value name="VALUE">';
toolboxAlt += '          <block type="variables_get">';
toolboxAlt += '            <field name="VAR">{listVariable}</field>';
toolboxAlt += '          </block>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="lists_getIndex">';
toolboxAlt += '        <value name="VALUE">';
toolboxAlt += '          <block type="variables_get">';
toolboxAlt += '            <field name="VAR">{listVariable}</field>';
toolboxAlt += '          </block>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="lists_setIndex">';
toolboxAlt += '        <value name="LIST">';
toolboxAlt += '          <block type="variables_get">';
toolboxAlt += '            <field name="VAR">{listVariable}</field>';
toolboxAlt += '          </block>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="lists_getSublist">';
toolboxAlt += '        <value name="LIST">';
toolboxAlt += '          <block type="variables_get">';
toolboxAlt += '            <field name="VAR">{listVariable}</field>';
toolboxAlt += '          </block>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="lists_split">';
toolboxAlt += '        <value name="DELIM">';
toolboxAlt += '          <shadow type="text">';
toolboxAlt += '            <field name="TEXT">,</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="lists_sort"></block>';
toolboxAlt += '    </category>';
toolboxAlt += '    <sep></sep>';
toolboxAlt += '    <category name="Var" colour="%{BKY_VARIABLES_HUE}" custom="VARIABLE"></category>';
toolboxAlt += '	<category name="Fun" colour="%{BKY_PROCEDURES_HUE}" custom="PROCEDURE"></category>';
toolboxAlt += '  <category name="MiF" colour="%{BKY_PROCEDURES_HUE}">';
toolboxAlt += '		<block type="function_map"></block>';
toolboxAlt += '		<block type="function_map_return">';
toolboxAlt += '			<value name="x">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">1</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '			<value name="x1">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">0</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '			<value name="y1">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">0</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '			<value name="x2">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">1023</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '			<value name="y2">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">100</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '		</block>';
toolboxAlt += '  </category>';
toolboxAlt += '	<sep></sep>';
toolboxAlt += '	<category id="myPines" name="Pin" colour="210">';
toolboxAlt += '		<block type="gpio_mode">';
toolboxAlt += '			<value name="pin">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">1</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '		</block>';
toolboxAlt += '		<block type="gpio_write">';
toolboxAlt += '			<value name="pin">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">1</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '		</block>';
toolboxAlt += '		<block type="gpio_write_variable">';
toolboxAlt += '			<value name="pin">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">1</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '		</block>';
toolboxAlt += '		<block type="gpio_read">';
toolboxAlt += '			<value name="pin">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">1</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '		</block>';
toolboxAlt += '		<block type="gpio_read_variable">';
toolboxAlt += '			<value name="pin">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">1</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '		</block>';
toolboxAlt += '		<block type="gpio_trig">';
toolboxAlt += '			<value name="pin">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">1</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '		</block>';
toolboxAlt += '		<block type="gpio_trig_var"></block>';
toolboxAlt += '		<block type="gpio_trig_level"></block>';
toolboxAlt += '		<block type="gpio_trig_when"></block>';
toolboxAlt += '		<block type="gpio_trig_compare"></block>';
toolboxAlt += '		<block type="adc_read"></block>';
toolboxAlt += '	</category>';
toolboxAlt += '	<category id="myTmrs" name="Tem" colour="65">';
toolboxAlt += '		<block type="tmr_var">';
toolboxAlt += '			<value name="time">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">1</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '		</block>';
toolboxAlt += '		<block type="tmr_s">';
toolboxAlt += '			<value name="seconds">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">1</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '		</block>';
toolboxAlt += '		<block type="tmr_ms">';
toolboxAlt += '			<value name="miliseconds">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">1</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '		</block>';
toolboxAlt += '		<block type="tmr_us">';
toolboxAlt += '			<value name="microseconds">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">1</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '		</block>';
toolboxAlt += '		<block type="alarm_create">';
toolboxAlt += '			<value name="interval">';
toolboxAlt += '				<shadow type="math_number">';
toolboxAlt += '					<field name="NUM">1000</field>';
toolboxAlt += '				</shadow>';
toolboxAlt += '			</value>';
toolboxAlt += '		</block>';
toolboxAlt += '		<block type="alarm_start"></block>';
toolboxAlt += '		<block type="alarm_stop"></block>';
toolboxAlt += '	</category>';
toolboxAlt += '	<sep></sep>';
toolboxAlt += '	<category id="peripherals" name="Per" colour="180">';
toolboxAlt += '    <category name="PWM" colour="180">';
toolboxAlt += '      <block type="pwm_setup">';
toolboxAlt += '        <value name="pin">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">4</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="frec">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">10</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="duty">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">512</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="pwm_start">';
toolboxAlt += '        <value name="pin">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">4</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="pwm_stop">';
toolboxAlt += '        <value name="pin">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">4</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="pwm_change_duty">';
toolboxAlt += '        <value name="pin">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">4</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="duty">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">512</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="pwm_change_frecuency">';
toolboxAlt += '        <value name="pin">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">4</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="frec">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">10</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '    </category>';
toolboxAlt += '	</category>';
toolboxAlt += '	<sep></sep>';
toolboxAlt += '	<category id="sensors" name="Sen" colour="150">';
toolboxAlt += '    <category id="DHT" name="DHT" colour="105">';
toolboxAlt += '      <block type="dht_read">';
toolboxAlt += '        <value name="pin">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">0</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="dht_view"></block>';
toolboxAlt += '    </category>';
toolboxAlt += '    <category id="DS18B20" name="DS1" colour="105">';
toolboxAlt += '      <block type="ds18b20_lib"></block>';
toolboxAlt += '      <block type="ds18b20_read">';
toolboxAlt += '        <value name="Pin">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">3</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '    </category>';
toolboxAlt += '    <category id="hcst04" name="ULT" colour="105">';
toolboxAlt += '      <block type="hcsr04"></block>';
toolboxAlt += '      <block type="hcsr04_declare">';
toolboxAlt += '        <value name="trig">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">1</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="echo">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">2</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="max_distance">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">5</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="avg_readings">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">3</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="hcsr04_read"></block>';
toolboxAlt += '      <block type="hcsr04_distance"></block>';
toolboxAlt += '    </category>';
toolboxAlt += '	</category>';
toolboxAlt += '	<sep></sep>';
toolboxAlt += '  <category id="actuadores" name="Act" colour="300">';
toolboxAlt += '    <category id="myServo" name="Ser" colour="345">';
toolboxAlt += '      <block type="servo_init">';
toolboxAlt += '        <value name="pin">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">1</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="angle">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">0</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="servo_angle">';
toolboxAlt += '        <value name="pin">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">1</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="angle">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">0</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="servo_stop">';
toolboxAlt += '        <value name="pin">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">1</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '    </category>';
toolboxAlt += '    <category id="ws2812" name="Ws2" colour="345">';
toolboxAlt += '      <block type="ws2812_init"></block>';
toolboxAlt += '      <block type="ws2812_format"></block>';
toolboxAlt += '      <block type="ws2812_array_finish">';
toolboxAlt += '        <value name="R">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">255</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="G">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">255</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="B">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">255</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="ws2812_array">';
toolboxAlt += '        <value name="R">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">255</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="G">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">255</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="B">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">255</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="ws2812_write"></block>';
toolboxAlt += '      <block type="ws2812_write_dual"></block>';
toolboxAlt += '    </category>';
toolboxAlt += '    <category id="displayOled" name="Dis" colour="345">';
toolboxAlt += '      <block type="display_oled_init">';
toolboxAlt += '        <value name="id">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">0</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="sda">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">1</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="scl">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">2</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="sla">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">60</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="display_oled_buffer"></block>';
toolboxAlt += '      <block type="display_oled_angle_text"></block>';
toolboxAlt += '      <block type="display_oled_str">';
toolboxAlt += '        <value name="text">';
toolboxAlt += '          <shadow type="text">';
toolboxAlt += '            <field name="TEXT">Hola</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="x0">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">0</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="y0">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">0</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="display_oled_circ_disc">';
toolboxAlt += '        <value name="x0">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">10</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="y0">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">10</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="radio">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">9</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="display_oled_frame_box">';
toolboxAlt += '        <value name="x0">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">0</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="y0">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">0</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="width">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">20</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="height">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">20</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="display_oled_line">';
toolboxAlt += '        <value name="x0">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">0</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="y0">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">0</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="x1">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">30</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '        <value name="y1">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">30</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '    </category>';
toolboxAlt += '	</category>';
toolboxAlt += '	<sep></sep>';
toolboxAlt += '	<!-- <category id="mixtos" name="Mix" colour="180"> -->';
toolboxAlt += '	<!-- </category> -->';
toolboxAlt += '	<category id="music" name="Mús" colour="180">';
toolboxAlt += '		<block type="midi"></block>';
toolboxAlt += '	</category>';
toolboxAlt += '	<sep></sep>';
toolboxAlt += '	<category id="iot" name="IOT" colour="255">';
toolboxAlt += '    <category id="html" name="Htm" colour="255">';
toolboxAlt += '      <block type="html_page"></block>';
toolboxAlt += '      <block type="html_button_view"></block>';
toolboxAlt += '      <block type="html_button_logic"></block>';
toolboxAlt += '      <block type="html_text"></block>';
toolboxAlt += '      <block type="html_text_add_variable"></block>';
toolboxAlt += '      <block type="html_text_size">';
toolboxAlt += '        <value name="size">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">1</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '    </category>';
toolboxAlt += '    <category id="thingspeak" name="Thi" colour="255">';
toolboxAlt += '      <block type="thingspeak"></block>';
toolboxAlt += '      <block type="thingspeak_send"></block>';
toolboxAlt += '      <block type="thingspeak_field"></block>';
toolboxAlt += '    </category>';
toolboxAlt += '    <category id="Sockets" name="Soc" colour="255">';
toolboxAlt += '      <block type="init_tcp">';
toolboxAlt += '        <value name="timeout">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">30</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="tcp_listen">';
toolboxAlt += '        <value name="var_port">';
toolboxAlt += '          <shadow type="math_number">';
toolboxAlt += '            <field name="NUM">3000</field>';
toolboxAlt += '          </shadow>';
toolboxAlt += '        </value>';
toolboxAlt += '      </block>';
toolboxAlt += '      <block type="tcp_events"></block>';
toolboxAlt += '      <block type="tcp_data"></block>';
toolboxAlt += '      <block type="tcp_send"></block>';
toolboxAlt += '    </category>';
toolboxAlt += '	</category>';
toolboxAlt += '	<sep></sep>';
toolboxAlt += '	<category id="wifi" name="WiF" colour="255">';
toolboxAlt += '	  <block type="wifi_sta">';
toolboxAlt += '	    <value name="redName">';
toolboxAlt += '	      <shadow type="text">';
toolboxAlt += '		<field name="TEXT">miRed</field>';
toolboxAlt += '	      </shadow>';
toolboxAlt += '	    </value>';
toolboxAlt += '	    <value name="password">';
toolboxAlt += '	      <shadow type="text">';
toolboxAlt += '		<field name="TEXT">contraseña</field>';
toolboxAlt += '	      </shadow>';
toolboxAlt += '	    </value>';
toolboxAlt += '	  </block>';
toolboxAlt += '	  <block type="wifi_ap">';
toolboxAlt += '	    <value name="redName">';
toolboxAlt += '	      <shadow type="text">';
toolboxAlt += '		<field name="TEXT">miRed</field>';
toolboxAlt += '	      </shadow>';
toolboxAlt += '	    </value>';
toolboxAlt += '	    <value name="password">';
toolboxAlt += '	      <shadow type="text">';
toolboxAlt += '		<field name="TEXT">contraseña</field>';
toolboxAlt += '	      </shadow>';
toolboxAlt += '	  </value>';
toolboxAlt += '	  <value name="channel">';
toolboxAlt += '		  <shadow type="math_number">';
toolboxAlt += '			  <field name="NUM">11</field>';
toolboxAlt += '		  </shadow>';
toolboxAlt += '	  </value>';
toolboxAlt += '	  </block>';
toolboxAlt += '	  <block type="wifi_ap_sta">';
toolboxAlt += '	    <value name="redNameAP">';
toolboxAlt += '	      <shadow type="text">';
toolboxAlt += '		<field name="TEXT">miRed</field>';
toolboxAlt += '	      </shadow>';
toolboxAlt += '	    </value>';
toolboxAlt += '	    <value name="passwordAP">';
toolboxAlt += '	      <shadow type="text">';
toolboxAlt += '		<field name="TEXT">contraseña</field>';
toolboxAlt += '	      </shadow>';
toolboxAlt += '	  </value>';
toolboxAlt += '	  <value name="channel">';
toolboxAlt += '		  <shadow type="math_number">';
toolboxAlt += '			  <field name="NUM">11</field>';
toolboxAlt += '		  </shadow>';
toolboxAlt += '	  </value>';
toolboxAlt += '	    <value name="redNameSTA">';
toolboxAlt += '	      <shadow type="text">';
toolboxAlt += '		<field name="TEXT">miRed</field>';
toolboxAlt += '	      </shadow>';
toolboxAlt += '	    </value>';
toolboxAlt += '	    <value name="passwordSTA">';
toolboxAlt += '	      <shadow type="text">';
toolboxAlt += '		<field name="TEXT">contraseña</field>';
toolboxAlt += '	      </shadow>';
toolboxAlt += '	    </value>';
toolboxAlt += '	  </block>';
toolboxAlt += '	</category>';
toolboxAlt += '  </xml>';
